Loading...
Searching...
No Matches
pcl::_PointXYZLAB Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZLAB:

## Public Attributes

union { |
struct { |
float L |
float a |
float b |
} |  |
float data_lab [4] |
}; |  |

## Detailed Description

Definition at line 667 of file point_types.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D union { ... } pcl::_PointXYZLAB

## a

float pcl::_PointXYZLAB::a

Definition at line 675 of file point_types.hpp.

Referenced by pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::copyToFloatArray(), and pcl::PointXYZRGBtoXYZLAB().

## b

float pcl::_PointXYZLAB::b

Definition at line 676 of file point_types.hpp.

Referenced by pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::copyToFloatArray(), and pcl::PointXYZRGBtoXYZLAB().

## data_lab

float pcl::_PointXYZLAB::data_lab[4]

Definition at line 678 of file point_types.hpp.

## L

float pcl::_PointXYZLAB::L

Definition at line 674 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::add(), pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::copyToFloatArray(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::get(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::operator()(), pcl::PointXYZRGBtoXYZLAB(), and pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::set().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp